Saki Docs
Post

Update a cluster of posts

Updates all posts sharing the given cluster ID. Handles adding/removing accounts and re-scheduling.

Base URLhttps://app.usesaki.com/api
put/spaces/{space}/clusters/{cluster_id}

Update a cluster of posts

Updates all posts sharing the given cluster ID. Handles adding/removing accounts and re-scheduling.

AuthorizationBearer <token>

Path Parameters

spacerequiredinteger

The space ID

cluster_idrequiredstring

Request Bodyrequired

application/json
atinteger | null
is_draftboolean
space_idrequiredinteger
requiredobject[]

Response

curl -X PUT "https://app.usesaki.com/api/spaces/{space}/clusters/{cluster_id}" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "at": 0,
  "is_draft": true,
  "space_id": 0,
  "items": [
    {
      "account_id": 0,
      "social": "string",
      "children": [
        {
          "content": "string",
          "media": [
            {
              "id": 0,
              "type": "image"
            }
          ]
        }
      ],
      "metadata": {
        "topic_tag": "string",
        "post_type": "string",
        "link": "https://example.com",
        "privacy_level": "string",
        "allow_comments": true,
        "allow_duet": true,
        "allow_stitch": true,
        "branded_content": true,
        "brand_organic": true,
        "board_id": "string",
        "title": "string",
        "cover_image_url": "https://example.com"
      },
      "main": {
        "content": "string",
        "media": [
          {
            "id": 0,
            "type": "image"
          }
        ]
      }
    }
  ]
}'
Response
{
  "data": [
    "string"
  ]
}